<!-- Header -->
<?php include "header.php"?>
 
  <div class="container">
    <h1 class="text-center" >Employee Data to perform CRUD Operations</h1>
      <a href="add.php" class='btn btn-outline-dark mb-2'> <i class="bi bi-person-plus"></i> CREATE New employee</a>
 
        <table class="table table-striped table-bordered table-hover">
          <thead class="table-dark">
            <tr>
              <th  scope="col">ID</th>
              <th  scope="col">First Name</th>
              <th  scope="col">Last Name</th>
              <th  scope="col"> Email Id</th>
              <th  scope="col">Joinning Date</th>
              <th  scope="col">Salary</th>
              <th  scope="col">Department</th>
              <th  scope="col" colspan="3" class="text-center">CRUD Operations</th>
            </tr>  
          </thead>
            <tbody>
              <tr>
  
          <?php

          $sql = "SELECT * FROM employee";
          $result = $conn->query($sql);

          if ($result->num_rows > 0) {
            // output data of each row
            while($row = $result->fetch_assoc()) {
             $id = $row["id"];
             $first = $row["firstname"];
             $last = $row["lastname"];
             $email = $row["email"];
             $join_date = $row["join_date"];
             $salary = $row["salary"];
             $department = $row["department"];


             echo "<tr >";
              echo " <th scope='row' >{$id}</th>";
              echo " <td > {$first}</td>";
              echo " <td > {$last}</td>";
              echo " <td >{$email} </td>";
              echo " <td > {$join_date}</td>";
              echo " <td > {$salary}</td>";
              echo " <td >{$department} </td>";
 
              echo " <td class='text-center'> <a href='read.php?user_id={$id}' class='btn btn-primary'> <i class='bi bi-eye'></i> View</a> </td>";
 
              echo " <td class='text-center' > <a href='update.php?edit&user_id={$id}' class='btn btn-secondary'><i class='bi bi-pencil'></i> EDIT</a> </td>";
 
              echo " <td  class='text-center'>  <a href='delete.php?delete={$id}' class='btn btn-danger'> <i class='bi bi-trash'></i> DELETE</a> </td>";
              echo " </tr> ";
            }
          } 
              else {
                 echo "0 results";
                }
                ?>
              </tr>  
            </tbody>
        </table>
  </div>
 
<!-- a BACK button to go to the index page -->
<div class="container text-center mt-5">
      <a href="../index.php" class="btn btn-warning mt-5"> Back </a>
    <div>
 
<!-- Footer -->
<?php include "footer.php" ?>